
%global meadversion 1.0.2
%global namedversion 1.0.2.GA-redhat-8
%global meadalpha .GA_redhat_8
%global meadrel .1
%global serial 20
%global namedversionrel redhat-8

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jaxbintros}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.2.GA-redhat-8

Name:           %{?scl_prefix}jaxbintros
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss JAXB Introductions
Group:          Development/Java

%if %with mead
Source100: jboss-jaxb-intros-1.0.2.GA-redhat-8-scm-sources.zip
Source102: jboss-jaxb-intros-1.0.2.GA-redhat-8-javadoc.jar
Source103: jboss-jaxb-intros-1.0.2.GA-redhat-8.jar
Source104: jboss-jaxb-intros-1.0.2.GA-redhat-8-sources.jar
Source105: jboss-jaxb-intros-1.0.2.GA-redhat-8-project-sources.tar.gz
Source106: jboss-jaxb-intros-1.0.2.GA-redhat-8.pom
%endif

License:        LGPLv2+
URL:            http://fisheye.jboss.com/viewrep/JBossWS/projects/jaxbintros/tags/1.0.2.GA
Provides:       %{?scl_prefix}jboss-jaxb-intros = %{epoch}:%{version}-%{release}
%if 0
Requires:       %{?scl_prefix_eap}commons-beanutils >= 0:1.8.0
Requires:       %{?scl_prefix_eap}commons-logging >= 0:1.1.1
Requires:       %{?scl_prefix_eap}jboss-jaxb-api_2.2_spec >= 0:1.0.4.Final
Requires:       %{?scl_prefix_eap}jaxb-impl >= 0:2.1.9
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jaxbintros
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-jaxb-intros -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-jaxb-intros-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-jaxb-intros-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-jaxb-intros-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-jaxb-intros-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-jaxb-intros-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-jaxb-intros-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-jaxb-intros-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-jaxb-intros-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-jaxb-intros-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-jaxb-intros-%{namedversion} %{buildroot}%{_javadocdir}/jboss-jaxb-intros
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc
%{_javadir}/jboss-jaxb-intros-%{namedversion}.jar
%{_javadir}/jboss-jaxb-intros.jar
%if %with javadoc
%{_javadir}/jboss-jaxb-intros-%{namedversion}-javadoc.jar
%{_javadir}/jboss-jaxb-intros-javadoc.jar
%endif
%{_javadir}/jboss-jaxb-intros-%{namedversion}-sources.jar
%{_javadir}/jboss-jaxb-intros-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-jaxb-intros-%{namedversion}
%{_javadocdir}/jboss-jaxb-intros
%endif

%changelog
* Fri Jun 22 2018 Yong Yang <yyang@redhat.com> - 1.0.2-20.GA_redhat_8.1
- Rewrap for 7.2.0

* Thu Aug 04 2016 Neil Wallace <nwallace@redhat.com> - 1.0.2-19.GA_redhat_8.1
- Update to 1.0.2.GA

* Thu Aug 04 2016 Neil Wallace <nwallace@redhat.com> - 1.0.2-19.GA_redhat_8.1
- Update to 1.0.2.GA

* Thu Aug 04 2016 Neil Wallace <nwallace@redhat.com> - 1.0.2-19.GA_redhat_8.1
- Update to 1.0.2.GA

* Thu Aug 04 2016 Neil Wallace <nwallace@redhat.com> - 1.0.2-19.GA_redhat_8.1
- Update to 1.0.2.GA

* Thu Jun 11 2015 David Walluck <dwalluck@redhat.com> - 1.0.2-18.GA_redhat_7.1
- release

